var assetsDir = 'assets';
var rtDir ='../../../../../../common/runtime/'; if(window.location.href.indexOf('framework=local') >-1) {window.location.hash="";rtDir = 'runtime/';}
var fwDir = rtDir+'framework';
var fwAssets = '../'+rtDir+'assets';

ljs.load(fwDir+'/framework.js');

getFrameworkAssetDir = function(){
	return fwAssets;
}

getAssetDir = function(){
	return assetsDir;
}

onFrameworkLoad = function(){
	ljs.load(assetsDir+'/exercise_content.js',function(){ onExerciseLibLoad();});
}
  
onExerciseLibLoad = function(){
	
	$( document ).ready(function() {onDocumentReady();});
}
	
onDocumentReady = function(){
	preparePages();
}